/* ３ブロック目 */
.third-container {
    position: relative;
    margin-bottom: 15%;  /* 下のセクションとの間隔を確保 */
}

.third-header-container {
    position: relative;
    width: 100%;
    aspect-ratio: 3/1;
}

.third-decoration-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.third-content {
    position: absolute;  /* absoluteに戻す */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;  /* 垂直方向の中央揃えを追加 */
    z-index: 1;  /* .decoration-imageの上に表示されるようにする */
}

.third-text-container {
    text-align: center;
    color: #C19042;
}

.third-main-title {
    writing-mode: vertical-rl;
    text-orientation: upright;
    margin: auto;
    font-size: 2.5rem;
    margin-bottom: 1.5em;
    letter-spacing: 0.1em;
}

.third-sub-title {
    font-size: 1.8rem;
    margin: 2rem auto;
    letter-spacing: 1em;
    margin-right: -1em;
}

.third-sub-title > span {
    margin-right: -1em;
    display: inline-block;
}

@media (max-width: 1100px) {

    .third-sub-title {
        font-size: 1.4rem;
    }
}

@media (max-width: 900px) {

    .third-sub-title {
        font-size: 1.5rem;
    }
}

@media (max-width: 768px) {
    .third-main-title {
        font-size: 1.8rem;
        writing-mode: horizontal-tb;
    }

    .third-sub-title {
        font-size: 1.2em;
    }
}